<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="bootutil__priv_8h" kind="file">
    <compoundname>bootutil_priv.h</compoundname>
    <includes local="yes" refid="sysflash_8h">sysflash/sysflash.h</includes>
    <includes local="yes" refid="flash__map__backend_8h">flash_map_backend/flash_map_backend.h</includes>
    <includes local="yes" refid="bootutil_8h">bootutil/bootutil.h</includes>
    <includes local="yes" refid="mcuboot__config_8h">mcuboot_config/mcuboot_config.h</includes>
    <innerclass prot="public" refid="structboot__status">boot_status</innerclass>
    <innerclass prot="public" refid="structboot__swap__state">boot_swap_state</innerclass>
      <sectiondef kind="define">
      <memberdef id="bootutil__priv_8h_1af343b20373ba49a92fce523e948f2ab3" kind="define" prot="public" static="no">
        <name>ASSERT</name>
        <initializer>assert</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="38" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="38" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1ae2bd94bf9bec45dd3bd3de874ec2a9f4" kind="define" prot="public" static="no">
        <name>BOOT_EFLASH</name>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="42" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="42" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1aff11244883ac258094557f64256d797d" kind="define" prot="public" static="no">
        <name>BOOT_EFILE</name>
        <initializer>2</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="43" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="43" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a5014a2f35c9fbbb0174b97284d9e4cca" kind="define" prot="public" static="no">
        <name>BOOT_EBADIMAGE</name>
        <initializer>3</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="44" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="44" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a6c38c02ce7768e1414600c6c8039321c" kind="define" prot="public" static="no">
        <name>BOOT_EBADVECT</name>
        <initializer>4</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="45" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="45" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a6260237ba8740970392caa880c6efdc6" kind="define" prot="public" static="no">
        <name>BOOT_EBADSTATUS</name>
        <initializer>5</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="46" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="46" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a31636c141e303e55c62f15cad1e70674" kind="define" prot="public" static="no">
        <name>BOOT_ENOMEM</name>
        <initializer>6</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="47" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="47" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a90a297b1c858444371bf6332c388fd29" kind="define" prot="public" static="no">
        <name>BOOT_EBADARGS</name>
        <initializer>7</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="48" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="48" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a7fd21aa9bcf3907a7b00141b44f2d1f3" kind="define" prot="public" static="no">
        <name>BOOT_EBADVERSION</name>
        <initializer>8</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="49" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="49" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a6122c32b4f26671771ce3ad5d2b74756" kind="define" prot="public" static="no">
        <name>BOOT_TMPBUF_SZ</name>
        <initializer>256</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="51" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="51" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a3f8d6337e4421a49109ba255540b5f7c" kind="define" prot="public" static="no">
        <name>BOOT_NUM_SLOTS</name>
        <initializer>2</initializer>
        <briefdescription>
<para>Number of image slots in flash; currently limited to two. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="54" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="54" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a075c554bdfd23e7782a20eb69f0a9af5" kind="define" prot="public" static="no">
        <name>BOOT_MAGIC_GOOD</name>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="67" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="67" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a625383f05678617ea4b20d756b61507e" kind="define" prot="public" static="no">
        <name>BOOT_MAGIC_BAD</name>
        <initializer>2</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="68" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="68" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1aa88ee375ad2592d66ddcff7b2b9b73d7" kind="define" prot="public" static="no">
        <name>BOOT_MAGIC_UNSET</name>
        <initializer>3</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="69" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="69" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a3e47d81dcef5c0fe2a978894f02df2d2" kind="define" prot="public" static="no">
        <name>BOOT_MAGIC_ANY</name>
        <initializer>4  /* NOTE: control only, not dependent on sector */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="70" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="70" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1af545a1cbf3cd0234d21db63a6f10b68e" kind="define" prot="public" static="no">
        <name>BOOT_MAGIC_NOTGOOD</name>
        <initializer>5  /* NOTE: control only, not dependent on sector */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="71" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="71" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a6e1292f491735d41bbbe6e88bd6118a9" kind="define" prot="public" static="no">
        <name>BOOT_FLAG_SET</name>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="76" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="76" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a48714af23c5c11c960d6d932cfa6bf91" kind="define" prot="public" static="no">
        <name>BOOT_FLAG_BAD</name>
        <initializer>2</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="77" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="77" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a4e313443d0973c55c8d5ff3fbee6c1aa" kind="define" prot="public" static="no">
        <name>BOOT_FLAG_UNSET</name>
        <initializer>3</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="78" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="78" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a2bfe000313a9270e875b0a742eaba671" kind="define" prot="public" static="no">
        <name>BOOT_FLAG_ANY</name>
        <initializer>4  /* NOTE: control only, not dependent on sector */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="79" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="79" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a87152d53dad56dcac0b652fe9bb8232b" kind="define" prot="public" static="no">
        <name>BOOT_STATUS_IDX_0</name>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="81" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="81" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a0386550cf766e01e70f38a08c11d5da5" kind="define" prot="public" static="no">
        <name>BOOT_STATUS_STATE_0</name>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="83" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="83" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1ac17711a4f74840c13a4cabe267626f20" kind="define" prot="public" static="no">
        <name>BOOT_STATUS_STATE_1</name>
        <initializer>2</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="84" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="84" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a8819b8e19eddcb82d9e0ed4ff043a90e" kind="define" prot="public" static="no">
        <name>BOOT_STATUS_STATE_2</name>
        <initializer>3</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="85" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="85" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1abe9c533f80400e40395861828db1c560" kind="define" prot="public" static="no">
        <name>BOOT_IMAGE_NUMBER</name>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="132" column="10" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="132" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1af500e92a4776274231bba1b521afc206" kind="define" prot="public" static="no">
        <name>BOOT_MAX_IMG_SECTORS</name>
        <initializer>MCUBOOT_MAX_IMG_SECTORS</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="137" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="137" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1afa339351c25a9eec97ed2be63ab0c3e5" kind="define" prot="public" static="no">
        <name>BOOT_GET_SWAP_TYPE</name>
        <param><defname>swap_info</defname></param>
        <initializer>((swap_info) &amp; 0x0F)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="143" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="143" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a941f29c968a9561592a414a6100a43a0" kind="define" prot="public" static="no">
        <name>BOOT_GET_IMAGE_NUM</name>
        <param><defname>swap_info</defname></param>
        <initializer>((swap_info) &gt;&gt; 4)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="144" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="144" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1add7ab512391a60e79f472673db2e9bea" kind="define" prot="public" static="no">
        <name>BOOT_SET_SWAP_INFO</name>
        <param><defname>swap_info</defname></param>
        <param><defname>image</defname></param>
        <param><defname>type</defname></param>
        <initializer>{                          \
                                                    assert((image) &lt; 0xF);     \
                                                    assert((type)  &lt; 0xF);     \
                                                    (swap_info) = (image) &lt;&lt; 4 \
                                                                | (type);      \
                                                    }</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="147" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="147" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a96f5f8a81eb4c94662dd4b500d5f0225" kind="define" prot="public" static="no">
        <name>BOOT_STATUS_STATE_COUNT</name>
        <initializer>3</initializer>
        <briefdescription>
<para>Maximum number of image sectors supported by the bootloader. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="166" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="166" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a8decacb414001c6e9dddd12a11d3d118" kind="define" prot="public" static="no">
        <name>BOOT_STATUS_MAX_ENTRIES</name>
        <initializer>BOOT_MAX_IMG_SECTORS</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="167" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="167" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a3c300b226911de7a9357b8d1954cf7e8" kind="define" prot="public" static="no">
        <name>BOOT_PRIMARY_SLOT</name>
        <initializer>0</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="169" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="169" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a10fcb50e09177b190b3fcf0af7abc082" kind="define" prot="public" static="no">
        <name>BOOT_SECONDARY_SLOT</name>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="170" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="170" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1afae425f4e27243395fedaa1884acf01b" kind="define" prot="public" static="no">
        <name>BOOT_STATUS_SOURCE_NONE</name>
        <initializer>0</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="172" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="172" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1ae12317ef6e1e43434f62cb5064536630" kind="define" prot="public" static="no">
        <name>BOOT_STATUS_SOURCE_SCRATCH</name>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="173" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="173" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1ae69f90b24c9cc6952a8b974f7dddafd4" kind="define" prot="public" static="no">
        <name>BOOT_STATUS_SOURCE_PRIMARY_SLOT</name>
        <initializer>2</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="174" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="174" />
      </memberdef>
      <memberdef id="bootutil__priv_8h_1a3a916a1c0ccc53d12c28de3892af3897" kind="define" prot="public" static="no">
        <name>BOOT_MAGIC_SZ</name>
        <initializer>(sizeof boot_img_magic)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="176" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="176" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="bootutil__priv_8h_1acdfb767080ec0285cb667a0fc89e30ee" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint32_t</type>
        <definition>const uint32_t boot_img_magic[4]</definition>
        <argsstring>[4]</argsstring>
        <name>boot_img_magic</name>
        <briefdescription>
<para>End-of-image slot structure. </para>        </briefdescription>
        <detaileddescription>
<para>0 1 2 3 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ ~ ~ ~ Swap status (BOOT_MAX_IMG_SECTORS * min-write-size * 3) ~ ~ ~ +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | Encryption key 0 (16 octets) [*] | | | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | Encryption key 1 (16 octets) [*] | | | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | Swap size (4 octets) | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | Swap info | 0xff padding (7 octets) | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | Copy done | 0xff padding (7 octets) | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | Image OK | 0xff padding (7 octets) | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | MAGIC (16 octets) | | | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+</para><para>[*]: Only present if the encryption option is enabled (MCUBOOT_ENC_IMAGES). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="119" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="bootutil__priv_8h_1a5fda33c68dd89654cc914a7daa17c302" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type />
        <definition>_Static_assert</definition>
        <argsstring>(BOOT_IMAGE_NUMBER &gt; 0,"Invalid value for BOOT_IMAGE_NUMBER")</argsstring>
        <name>_Static_assert</name>
        <param>
          <type>BOOT_IMAGE_NUMBER</type>
        </param>
        <param>
          <type>0</type>
        </param>
        <param>
          <type>"Invalid value for BOOT_IMAGE_NUMBER"</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="135" />
      </memberdef>
      <memberdef const="no" explicit="no" id="bootutil__priv_8h_1a68c39901d6db27c3981d866dfaf8a7aa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int boot_magic_compatible_check</definition>
        <argsstring>(uint8_t tbl_val, uint8_t val)</argsstring>
        <name>boot_magic_compatible_check</name>
        <param>
          <type>uint8_t</type>
          <declname>tbl_val</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>val</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="178" />
      </memberdef>
      <memberdef const="no" explicit="no" id="bootutil__priv_8h_1abbbfa6f25801f52d7e70127c9554ecda" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t boot_trailer_sz</definition>
        <argsstring>(uint32_t min_write_sz)</argsstring>
        <name>boot_trailer_sz</name>
        <param>
          <type>uint32_t</type>
          <declname>min_write_sz</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="179" />
      </memberdef>
      <memberdef const="no" explicit="no" id="bootutil__priv_8h_1ab879cef131c6c3914df7167e70885861" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t boot_swap_info_off</definition>
        <argsstring>(const struct flash_area *fap)</argsstring>
        <name>boot_swap_info_off</name>
        <param>
          <type>const struct <ref kindref="compound" refid="structflash__area">flash_area</ref> *</type>
          <declname>fap</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="180" />
      </memberdef>
      <memberdef const="no" explicit="no" id="bootutil__priv_8h_1a3cee50afc7101d318c343f1007493f3f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int boot_read_swap_state</definition>
        <argsstring>(const struct flash_area *fap, struct boot_swap_state *state)</argsstring>
        <name>boot_read_swap_state</name>
        <param>
          <type>const struct <ref kindref="compound" refid="structflash__area">flash_area</ref> *</type>
          <declname>fap</declname>
        </param>
        <param>
          <type>struct <ref kindref="compound" refid="structboot__swap__state">boot_swap_state</ref> *</type>
          <declname>state</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="181" />
      </memberdef>
      <memberdef const="no" explicit="no" id="bootutil__priv_8h_1a97c80d8f08c976b436c99f6a5364cafb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int boot_read_swap_state_by_id</definition>
        <argsstring>(int flash_area_id, struct boot_swap_state *state)</argsstring>
        <name>boot_read_swap_state_by_id</name>
        <param>
          <type>int</type>
          <declname>flash_area_id</declname>
        </param>
        <param>
          <type>struct <ref kindref="compound" refid="structboot__swap__state">boot_swap_state</ref> *</type>
          <declname>state</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="183" />
      </memberdef>
      <memberdef const="no" explicit="no" id="bootutil__priv_8h_1ade84e4968c02b045e14eaf31498be559" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int boot_write_magic</definition>
        <argsstring>(const struct flash_area *fap)</argsstring>
        <name>boot_write_magic</name>
        <param>
          <type>const struct <ref kindref="compound" refid="structflash__area">flash_area</ref> *</type>
          <declname>fap</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="185" />
      </memberdef>
      <memberdef const="no" explicit="no" id="bootutil__priv_8h_1aac1a2d8248287afbffa3d21cf40fe9cb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int boot_write_image_ok</definition>
        <argsstring>(const struct flash_area *fap)</argsstring>
        <name>boot_write_image_ok</name>
        <param>
          <type>const struct <ref kindref="compound" refid="structflash__area">flash_area</ref> *</type>
          <declname>fap</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="186" />
      </memberdef>
      <memberdef const="no" explicit="no" id="bootutil__priv_8h_1ab0bd231987de657e74a2a48e47dda39d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int boot_write_swap_info</definition>
        <argsstring>(const struct flash_area *fap, uint8_t swap_type, uint8_t image_num)</argsstring>
        <name>boot_write_swap_info</name>
        <param>
          <type>const struct <ref kindref="compound" refid="structflash__area">flash_area</ref> *</type>
          <declname>fap</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>swap_type</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>image_num</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="187" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />Licensed<sp />to<sp />the<sp />Apache<sp />Software<sp />Foundation<sp />(ASF)<sp />under<sp />one</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*<sp />or<sp />more<sp />contributor<sp />license<sp />agreements.<sp /><sp />See<sp />the<sp />NOTICE<sp />file</highlight></codeline>
<codeline lineno="4"><highlight class="comment"><sp />*<sp />distributed<sp />with<sp />this<sp />work<sp />for<sp />additional<sp />information</highlight></codeline>
<codeline lineno="5"><highlight class="comment"><sp />*<sp />regarding<sp />copyright<sp />ownership.<sp /><sp />The<sp />ASF<sp />licenses<sp />this<sp />file</highlight></codeline>
<codeline lineno="6"><highlight class="comment"><sp />*<sp />to<sp />you<sp />under<sp />the<sp />Apache<sp />License,<sp />Version<sp />2.0<sp />(the</highlight></codeline>
<codeline lineno="7"><highlight class="comment"><sp />*<sp />"License");<sp />you<sp />may<sp />not<sp />use<sp />this<sp />file<sp />except<sp />in<sp />compliance</highlight></codeline>
<codeline lineno="8"><highlight class="comment"><sp />*<sp />with<sp />the<sp />License.<sp /><sp />You<sp />may<sp />obtain<sp />a<sp />copy<sp />of<sp />the<sp />License<sp />at</highlight></codeline>
<codeline lineno="9"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="10"><highlight class="comment"><sp />*<sp /><sp />http://www.apache.org/licenses/LICENSE-2.0</highlight></codeline>
<codeline lineno="11"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="12"><highlight class="comment"><sp />*<sp />Unless<sp />required<sp />by<sp />applicable<sp />law<sp />or<sp />agreed<sp />to<sp />in<sp />writing,</highlight></codeline>
<codeline lineno="13"><highlight class="comment"><sp />*<sp />software<sp />distributed<sp />under<sp />the<sp />License<sp />is<sp />distributed<sp />on<sp />an</highlight></codeline>
<codeline lineno="14"><highlight class="comment"><sp />*<sp />"AS<sp />IS"<sp />BASIS,<sp />WITHOUT<sp />WARRANTIES<sp />OR<sp />CONDITIONS<sp />OF<sp />ANY</highlight></codeline>
<codeline lineno="15"><highlight class="comment"><sp />*<sp />KIND,<sp />either<sp />express<sp />or<sp />implied.<sp /><sp />See<sp />the<sp />License<sp />for<sp />the</highlight></codeline>
<codeline lineno="16"><highlight class="comment"><sp />*<sp />specific<sp />language<sp />governing<sp />permissions<sp />and<sp />limitations</highlight></codeline>
<codeline lineno="17"><highlight class="comment"><sp />*<sp />under<sp />the<sp />License.</highlight></codeline>
<codeline lineno="18"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="21"><highlight class="comment"><sp />*<sp />Modifications<sp />are<sp />Copyright<sp />(c)<sp />2019<sp />Arm<sp />Limited.</highlight></codeline>
<codeline lineno="22"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />H_BOOTUTIL_PRIV_</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#define<sp />H_BOOTUTIL_PRIV_</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"sysflash/sysflash.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"flash_map_backend/flash_map_backend.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"bootutil/bootutil.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"mcuboot_config/mcuboot_config.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ASSERT<sp />assert</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="keyword">struct<sp /></highlight><highlight class="normal"><ref kindref="compound" refid="structflash__area">flash_area</ref>;</highlight></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_EFLASH<sp /><sp /><sp /><sp /><sp /><sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_EFILE<sp /><sp /><sp /><sp /><sp /><sp /><sp />2</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_EBADIMAGE<sp /><sp /><sp />3</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_EBADVECT<sp /><sp /><sp /><sp />4</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_EBADSTATUS<sp /><sp />5</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_ENOMEM<sp /><sp /><sp /><sp /><sp /><sp />6</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_EBADARGS<sp /><sp /><sp /><sp />7</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_EBADVERSION<sp />8</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_TMPBUF_SZ<sp /><sp />256</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="preprocessor">#define<sp />BOOT_NUM_SLOTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />2</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="57"><highlight class="comment"><sp />*<sp />Maintain<sp />state<sp />of<sp />copy<sp />progress.</highlight></codeline>
<codeline lineno="58"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="59" refid="structboot__status" refkind="compound"><highlight class="normal" /><highlight class="keyword">struct<sp /></highlight><highlight class="normal"><ref kindref="compound" refid="structboot__status">boot_status</ref><sp />{</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />idx;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Which<sp />area<sp />we're<sp />operating<sp />on<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Which<sp />part<sp />of<sp />the<sp />swapping<sp />process<sp />are<sp />we<sp />at<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />use_scratch;<sp /><sp /></highlight><highlight class="comment">/*<sp />Are<sp />status<sp />bytes<sp />ever<sp />written<sp />to<sp />scratch?<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />swap_type;<sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />type<sp />of<sp />swap<sp />in<sp />effect<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />swap_size;<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Total<sp />size<sp />of<sp />swapped<sp />image<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal">};</highlight></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_MAGIC_GOOD<sp /><sp /><sp /><sp /><sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_MAGIC_BAD<sp /><sp /><sp /><sp /><sp /><sp />2</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_MAGIC_UNSET<sp /><sp /><sp /><sp />3</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_MAGIC_ANY<sp /><sp /><sp /><sp /><sp /><sp />4<sp /><sp /></highlight><highlight class="comment">/*<sp />NOTE:<sp />control<sp />only,<sp />not<sp />dependent<sp />on<sp />sector<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_MAGIC_NOTGOOD<sp /><sp />5<sp /><sp /></highlight><highlight class="comment">/*<sp />NOTE:<sp />control<sp />only,<sp />not<sp />dependent<sp />on<sp />sector<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="74"><highlight class="comment"><sp />*<sp />NOTE:<sp />leave<sp />BOOT_FLAG_SET<sp />equal<sp />to<sp />one,<sp />this<sp />is<sp />written<sp />to<sp />flash!</highlight></codeline>
<codeline lineno="75"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_FLAG_SET<sp /><sp /><sp /><sp /><sp /><sp /><sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_FLAG_BAD<sp /><sp /><sp /><sp /><sp /><sp /><sp />2</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_FLAG_UNSET<sp /><sp /><sp /><sp /><sp />3</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_FLAG_ANY<sp /><sp /><sp /><sp /><sp /><sp /><sp />4<sp /><sp /></highlight><highlight class="comment">/*<sp />NOTE:<sp />control<sp />only,<sp />not<sp />dependent<sp />on<sp />sector<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_STATUS_IDX_0<sp /><sp /><sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_STATUS_STATE_0<sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_STATUS_STATE_1<sp />2</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_STATUS_STATE_2<sp />3</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint32_t<sp />boot_img_magic[4];</highlight></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="121" refid="structboot__swap__state" refkind="compound"><highlight class="normal" /><highlight class="keyword">struct<sp /></highlight><highlight class="normal"><ref kindref="compound" refid="structboot__swap__state">boot_swap_state</ref><sp />{</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />magic;<sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />One<sp />of<sp />the<sp />BOOT_MAGIC_[...]<sp />values.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />swap_type;<sp /><sp /></highlight><highlight class="comment">/*<sp />One<sp />of<sp />the<sp />BOOT_SWAP_TYPE_[...]<sp />values.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />copy_done;<sp /><sp /></highlight><highlight class="comment">/*<sp />One<sp />of<sp />the<sp />BOOT_FLAG_[...]<sp />values.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />image_ok;<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />One<sp />of<sp />the<sp />BOOT_FLAG_[...]<sp />values.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />image_num;<sp /><sp /></highlight><highlight class="comment">/*<sp />Boot<sp />status<sp />belongs<sp />to<sp />this<sp />image<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal">};</highlight></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />MCUBOOT_IMAGE_NUMBER</highlight><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_IMAGE_NUMBER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />MCUBOOT_IMAGE_NUMBER</highlight><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_IMAGE_NUMBER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal">_Static_assert(BOOT_IMAGE_NUMBER<sp />&gt;<sp />0,<sp /></highlight><highlight class="stringliteral">"Invalid<sp />value<sp />for<sp />BOOT_IMAGE_NUMBER"</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="136"><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_MAX_IMG_SECTORS<sp /><sp /><sp /><sp /><sp /><sp /><sp />MCUBOOT_MAX_IMG_SECTORS</highlight><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="140"><highlight class="comment"><sp />*<sp />Extract<sp />the<sp />swap<sp />type<sp />and<sp />image<sp />number<sp />from<sp />image<sp />trailers's<sp />swap_info</highlight></codeline>
<codeline lineno="141"><highlight class="comment"><sp />*<sp />filed.</highlight></codeline>
<codeline lineno="142"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_GET_SWAP_TYPE(swap_info)<sp /><sp /><sp /><sp />((swap_info)<sp />&amp;<sp />0x0F)</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_GET_IMAGE_NUM(swap_info)<sp /><sp /><sp /><sp />((swap_info)<sp />&gt;&gt;<sp />4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal" /><highlight class="comment">/*<sp />Construct<sp />the<sp />swap_info<sp />field<sp />from<sp />swap<sp />type<sp />and<sp />image<sp />number<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_SET_SWAP_INFO(swap_info,<sp />image,<sp />type)<sp /><sp />{<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="148"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />assert((image)<sp />&lt;<sp />0xF);<sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="149"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />assert((type)<sp /><sp />&lt;<sp />0xF);<sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="150"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(swap_info)<sp />=<sp />(image)<sp />&lt;&lt;<sp />4<sp />\</highlight></codeline>
<codeline lineno="151"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />(type);<sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="152"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="155"><highlight class="comment"><sp />*<sp />The<sp />current<sp />flashmap<sp />API<sp />does<sp />not<sp />check<sp />the<sp />amount<sp />of<sp />space<sp />allocated<sp />when</highlight></codeline>
<codeline lineno="156"><highlight class="comment"><sp />*<sp />loading<sp />sector<sp />data<sp />from<sp />the<sp />flash<sp />device,<sp />allowing<sp />for<sp />smaller<sp />counts<sp />here</highlight></codeline>
<codeline lineno="157"><highlight class="comment"><sp />*<sp />would<sp />most<sp />surely<sp />incur<sp />in<sp />overruns.</highlight></codeline>
<codeline lineno="158"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="159"><highlight class="comment"><sp />*<sp />TODO:<sp />make<sp />flashmap<sp />API<sp />receive<sp />the<sp />current<sp />sector<sp />array<sp />size.</highlight></codeline>
<codeline lineno="160"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal" /><highlight class="preprocessor">#if<sp />BOOT_MAX_IMG_SECTORS<sp />&lt;<sp />32</highlight><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal" /><highlight class="preprocessor">#error<sp />"Too<sp />few<sp />sectors,<sp />please<sp />increase<sp />BOOT_MAX_IMG_SECTORS<sp />to<sp />at<sp />least<sp />32"</highlight><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="preprocessor">#define<sp />BOOT_STATUS_STATE_COUNT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />3</highlight><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_STATUS_MAX_ENTRIES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />BOOT_MAX_IMG_SECTORS</highlight><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_PRIMARY_SLOT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_SECONDARY_SLOT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_STATUS_SOURCE_NONE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0</highlight><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_STATUS_SOURCE_SCRATCH<sp /><sp /><sp /><sp /><sp /><sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_STATUS_SOURCE_PRIMARY_SLOT<sp />2</highlight><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BOOT_MAGIC_SZ<sp />(sizeof<sp />boot_img_magic)</highlight><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="normal" /><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />boot_magic_compatible_check(uint8_t<sp />tbl_val,<sp />uint8_t<sp />val);</highlight></codeline>
<codeline lineno="179"><highlight class="normal">uint32_t<sp />boot_trailer_sz(uint32_t<sp />min_write_sz);</highlight></codeline>
<codeline lineno="180"><highlight class="normal">uint32_t<sp />boot_swap_info_off(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structflash__area">flash_area</ref><sp />*fap);</highlight></codeline>
<codeline lineno="181"><highlight class="normal" /><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />boot_read_swap_state(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structflash__area">flash_area</ref><sp />*fap,</highlight></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structboot__swap__state">boot_swap_state</ref><sp />*state);</highlight></codeline>
<codeline lineno="183"><highlight class="normal" /><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />boot_read_swap_state_by_id(</highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />flash_area_id,</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structboot__swap__state">boot_swap_state</ref><sp />*state);</highlight></codeline>
<codeline lineno="185"><highlight class="normal" /><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />boot_write_magic(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structflash__area">flash_area</ref><sp />*fap);</highlight></codeline>
<codeline lineno="186"><highlight class="normal" /><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />boot_write_image_ok(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structflash__area">flash_area</ref><sp />*fap);</highlight></codeline>
<codeline lineno="187"><highlight class="normal" /><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />boot_write_swap_info(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structflash__area">flash_area</ref><sp />*fap,<sp />uint8_t<sp />swap_type,</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />image_num);</highlight></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal">}</highlight></codeline>
<codeline lineno="192"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="193"><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" />
  </compounddef>
</doxygen>